Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.tool
Class SchemaCompiler.Parameters

    java.lang.Object
      org.apache.xmlbeans.impl.tool.SchemaCompiler.Parameters

Enclosing class:
  SchemaCompiler

    public static class SchemaCompiler.Parameters

extends java.lang.Object

Constructor Summary
`SchemaCompiler.Parameters()`

Method Summary
`java.io.File` | `getBaseDir()`
`java.lang.String` | `getCatalogFile()`
`java.io.File` | `getClassesDir()`
`java.io.File[]` | `getClasspath()`
`java.lang.String` | `getCompiler()`
`java.io.File[]` | `getConfigFiles()`
`EntityResolver` | `getEntityResolver()`
`java.util.Collection` | `getErrorListener()`
`java.util.List` | `getExtensions()`
`java.lang.String` | `getJar()` Deprecated.
`java.io.File[]` | `getJavaFiles()`
`java.lang.String` | `getJavaSource()`
`java.util.Set` | `getMdefNamespaces()`
`java.lang.String` | `getMemoryInitialSize()`
`java.lang.String` | `getMemoryMaximumSize()`
`java.lang.String` | `getName()`
`java.io.File` | `getOutputJar()`
`java.lang.String` | `getRepackage()`
`SchemaCodePrinter` | `getSchemaCodePrinter()`
`java.io.File` | `getSrcDir()`
`java.net.URL[]` | `getUrlFiles()`
`java.io.File[]` | `getWsdlFiles()`
`java.io.File[]` | `getXsdFiles()`
`boolean` | `isDebug()`
`boolean` | `isDownload()`
`boolean` | `isIncrementalSrcGen()`
`boolean` | `isNoAnn()`
`boolean` | `isNoExt()`
`boolean` | `isNojavac()`
`boolean` | `isNoPvr()`
`boolean` | `isNoUpa()`
`boolean` | `isNoVDoc()`
`boolean` | `isQuiet()`
`boolean` | `isVerbose()`
`void` | `setBaseDir(java.io.File baseDir)`
`void` | `setCatalogFile(java.lang.String catalogPropFile)`
`void` | `setClassesDir(java.io.File classesDir)`
`void` | `setClasspath(java.io.File[] classpath)`
`void` | `setCompiler(java.lang.String compiler)`
`void` | `setConfigFiles(java.io.File[] configFiles)`
`void` | `setDebug(boolean debug)`
`void` | `setDownload(boolean download)`
`void` | `setEntityResolver(EntityResolver entityResolver)`
`void` | `setErrorListener(java.util.Collection errorListener)`
`void` | `setExtensions(java.util.List extensions)`
`void` | `setIncrementalSrcGen(boolean incrSrcGen)`
`void` | `setJar(java.lang.String jar)` Deprecated.
`void` | `setJavaFiles(java.io.File[] javaFiles)`
`void` | `setJavaSource(java.lang.String javasource)`
`void` | `setMdefNamespaces(java.util.Set mdefNamespaces)`
`void` | `setMemoryInitialSize(java.lang.String memoryInitialSize)`
`void` | `setMemoryMaximumSize(java.lang.String memoryMaximumSize)`
`void` | `setName(java.lang.String name)`
`void` | `setNoAnn(boolean noAnn)`
`void` | `setNoExt(boolean newNoExt)`
`void` | `setNojavac(boolean nojavac)`
`void` | `setNoPvr(boolean noPvr)`
`void` | `setNoUpa(boolean noUpa)`
`void` | `setNoVDoc(boolean newNoVDoc)`
`void` | `setOutputJar(java.io.File outputJar)`
`void` | `setQuiet(boolean quiet)`
`void` | `setRepackage(java.lang.String newRepackage)`
`void` | `setSchemaCodePrinter(SchemaCodePrinter schemaCodePrinter)`
`void` | `setSrcDir(java.io.File srcDir)`
`void` | `setUrlFiles(java.net.URL[] urlFiles)`
`void` | `setVerbose(boolean verbose)`
`void` | `setWsdlFiles(java.io.File[] wsdlFiles)`
`void` | `setXsdFiles(java.io.File[] xsdFiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaCompiler.Parameters

    public SchemaCompiler.Parameters()

Method Detail

### getBaseDir

    public java.io.File getBaseDir()

### setBaseDir

    public void setBaseDir(java.io.File baseDir)

### getXsdFiles

    public java.io.File[] getXsdFiles()

### setXsdFiles

    public void setXsdFiles(java.io.File[] xsdFiles)

### getWsdlFiles

    public java.io.File[] getWsdlFiles()

### setWsdlFiles

    public void setWsdlFiles(java.io.File[] wsdlFiles)

### getJavaFiles

    public java.io.File[] getJavaFiles()

### setJavaFiles

    public void setJavaFiles(java.io.File[] javaFiles)

### getConfigFiles

    public java.io.File[] getConfigFiles()

### setConfigFiles

    public void setConfigFiles(java.io.File[] configFiles)

### getUrlFiles

    public java.net.URL[] getUrlFiles()

### setUrlFiles

    public void setUrlFiles(java.net.URL[] urlFiles)

### getClasspath

    public java.io.File[] getClasspath()

### setClasspath

    public void setClasspath(java.io.File[] classpath)

### getOutputJar

    public java.io.File getOutputJar()

### setOutputJar

    public void setOutputJar(java.io.File outputJar)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSrcDir

    public java.io.File getSrcDir()

### setSrcDir

    public void setSrcDir(java.io.File srcDir)

### getClassesDir

    public java.io.File getClassesDir()

### setClassesDir

    public void setClassesDir(java.io.File classesDir)

### isNojavac

    public boolean isNojavac()

### setNojavac

    public void setNojavac(boolean nojavac)

### isQuiet

    public boolean isQuiet()

### setQuiet

    public void setQuiet(boolean quiet)

### isVerbose

    public boolean isVerbose()

### setVerbose

    public void setVerbose(boolean verbose)

### isDownload

    public boolean isDownload()

### setDownload

    public void setDownload(boolean download)

### isNoUpa

    public boolean isNoUpa()

### setNoUpa

    public void setNoUpa(boolean noUpa)

### isNoPvr

    public boolean isNoPvr()

### setNoPvr

    public void setNoPvr(boolean noPvr)

### isNoAnn

    public boolean isNoAnn()

### setNoAnn

    public void setNoAnn(boolean noAnn)

### isNoVDoc

    public boolean isNoVDoc()

### setNoVDoc

    public void setNoVDoc(boolean newNoVDoc)

### isNoExt

    public boolean isNoExt()

### setNoExt

    public void setNoExt(boolean newNoExt)

### isIncrementalSrcGen

    public boolean isIncrementalSrcGen()

### setIncrementalSrcGen

    public void setIncrementalSrcGen(boolean incrSrcGen)

### isDebug

    public boolean isDebug()

### setDebug

    public void setDebug(boolean debug)

### getMemoryInitialSize

    public java.lang.String getMemoryInitialSize()

### setMemoryInitialSize

    public void setMemoryInitialSize(java.lang.String memoryInitialSize)

### getMemoryMaximumSize

    public java.lang.String getMemoryMaximumSize()

### setMemoryMaximumSize

    public void setMemoryMaximumSize(java.lang.String memoryMaximumSize)

### getCompiler

    public java.lang.String getCompiler()

### setCompiler

    public void setCompiler(java.lang.String compiler)

### getJavaSource

    public java.lang.String getJavaSource()

### setJavaSource

    public void setJavaSource(java.lang.String javasource)

### getJar

    public java.lang.String getJar()

  Deprecated.

### setJar

    public void setJar(java.lang.String jar)

  Deprecated.

### getErrorListener

    public java.util.Collection getErrorListener()

### setErrorListener

    public void setErrorListener(java.util.Collection errorListener)

### getRepackage

    public java.lang.String getRepackage()

### setRepackage

    public void setRepackage(java.lang.String newRepackage)

### getExtensions

    public java.util.List getExtensions()

### setExtensions

    public void setExtensions(java.util.List extensions)

### getMdefNamespaces

    public java.util.Set getMdefNamespaces()

### setMdefNamespaces

    public void setMdefNamespaces(java.util.Set mdefNamespaces)

### getCatalogFile

    public java.lang.String getCatalogFile()

### setCatalogFile

    public void setCatalogFile(java.lang.String catalogPropFile)

### getSchemaCodePrinter

    public SchemaCodePrinter getSchemaCodePrinter()

### setSchemaCodePrinter

    public void setSchemaCodePrinter(SchemaCodePrinter schemaCodePrinter)

### getEntityResolver

    public EntityResolver getEntityResolver()

### setEntityResolver

    public void setEntityResolver(EntityResolver entityResolver)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD